Rygel.WritableContainer.add_item – librygel-server Reference Manual

# add_item

## Description:

public abstract async void add_item (MediaFileItem item, Cancellable? cancellable) throws Error

Add a new item directly under this container.

The caller should not first create the file(s) pointed to by the item's URI(s). That is handled by the container class.

This method corresponds to the UPnP ContentDirectory's CreateObject action.

## Parameters:

item | The item to add to this container
cancellable | optional cancellable for this operation

## Returns:

nothing.